<?php namespace Ezipay\Api;

use Ezipay\Common\EzipayModel;

/**
 * Class Transaction
 * @property \Ezipay\Api\Amount amount
 *
 */

class Transaction extends EzipayModel
{

    /**
     * @param \Ezipay\Api\Amount $amount
     *
     * @return $this
     */
    public function setAmount($amount)
    {
        $this->amount = $amount;
        return $this;
    }

    public function getAmount()
    {
        return $this->amount;
    }
}