<?php
namespace Ezipay\Api;

use Ezipay\Common\EzipayModel;

/**
 * Class Payer
 * @property string paymentMethod
 *
 */
class Payer extends EzipayModel
{

    /**
     * Valid Values: ["Ezipay"]
     * method will be like Ezipay, paypal, stripe etc
     * @param  string  $method
     * @return $this
     */
    public function setPaymentMethod($method)
    {
        $this->paymentMethod = $method;
        return $this;
    }

    public function getPaymentMethod()
    {
        return $this->paymentMethod;
    }

}
